Bug 878515 - Review Request: rubygem-simplecov-html - Default HTML formatter for SimpleCov
Summary: Review Request: rubygem-simplecov-html - Default HTML formatter for SimpleCov
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 878556
TreeView+ depends on / blocked
 
Reported: 2012-11-20 15:32 UTC by Troy Dawson
Modified: 2012-12-08 04:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-08 04:29:25 UTC
Type: ---
msuchy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Troy Dawson 2012-11-20 15:32:34 UTC
Spec URL: http://tdawson.fedorapeople.org/rubygems/rubygem-simplecov-html.spec
SRPM URL: http://tdawson.fedorapeople.org/rubygems/rubygem-simplecov-html-0.7.1-1.fc18.src.rpm
Description: Default HTML formatter for SimpleCov code coverage tool for ruby 1.9+
Fedora Account System Username: tdawson

Comment 1 Troy Dawson 2012-11-20 15:34:05 UTC
RPMLINT OUTPUT:
rpmlint rubygem-simplecov-html.spec rubygem-simplecov-html-0.7.1-1.fc18.src.rpm rubygem-simplecov-html-0.7.1-1.fc18.noarch.rpm rubygem-simplecov-html-doc-0.7.1-1.fc18.noarch.rpm
rubygem-simplecov-html.src: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
rubygem-simplecov-html.src: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
rubygem-simplecov-html.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
rubygem-simplecov-html.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
3 packages and 1 specfiles checked; 0 errors, 4 warnings.

Comment 2 Miroslav Suchý 2012-11-28 18:12:00 UTC
Looks good.

I would suggest to add to the end of %install:
rm -rf %{buildroot}%{gem_instdir}/.yardoc
so rpmbuild --rebuild will pass on systems where rubygem-yard is installed. But it is not crucial since in koji it is not installed.

APPROVED

Comment 3 Troy Dawson 2012-11-28 23:49:25 UTC
That sounds like a good idea.  Thank you for the approval.

Comment 4 Troy Dawson 2012-11-28 23:51:08 UTC
New Package SCM Request
=======================
Package Name: rubygem-simplecov-html
Short Description: Default HTML formatter for SimpleCov
Owners: tdawson
Branches: f18 f17
InitialCC:

Comment 5 Gwyn Ciesla 2012-11-29 12:02:40 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-11-29 14:56:22 UTC
rubygem-simplecov-html-0.7.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-simplecov-html-0.7.1-1.fc18

Comment 7 Fedora Update System 2012-11-30 06:40:24 UTC
rubygem-simplecov-html-0.7.1-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 8 Fedora Update System 2012-12-08 04:29:29 UTC
rubygem-simplecov-html-0.7.1-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.